/* ----------------------
 * Dependencies
 * ---------------------- */
/* ----------------------
 * Variables
 * ---------------------- */
/* ----------------------
 * Mixins
 * ---------------------- */
/* ----------------------
 * Cart form
 * ---------------------- */
.form--cart {
  margin-top: 50px;
}
.form--cart .cart_holder .cart_row {
  display: flex;
  border-top: 2px solid #ddd;
  align-items: center;
  padding: 15px 0;
  flex-wrap: wrap;
}
@media screen and (max-width: 768px) {
  .form--cart .cart_holder .cart_row {
    margin-top: 30px;
  }
}
.form--cart .cart_holder .cart_row:first-of-type, .form--cart .cart_holder .cart_row:nth-of-type(2) {
  border-top: none;
}
@media screen and (max-width: 768px) {
  .form--cart .cart_holder .cart_row:first-of-type, .form--cart .cart_holder .cart_row:nth-of-type(2) {
    border-top: 2px solid #ddd;
  }
}
.form--cart .cart_holder .cart_row.labels_row {
  border-bottom: 2px solid #dddddd;
}
@media screen and (max-width: 768px) {
  .form--cart .cart_holder .cart_row.labels_row {
    display: none;
  }
}
.form--cart .cart_holder .cart_row .cart_product {
  width: 60%;
  flex-shrink: 0;
  padding: 5px 15px;
}
@media screen and (max-width: 768px) {
  .form--cart .cart_holder .cart_row .cart_product {
    width: 100%;
    border-bottom: 1px solid #ddd;
    padding: 5px 0 20px;
    margin-bottom: 10px;
  }
}
.form--cart .cart_holder .cart_row .cart_product .cart_product_image_holder {
  width: 65px;
  height: 65px;
  display: inline-block;
  border: 1px solid #ddd;
  text-align: center;
  overflow: hidden;
  vertical-align: middle;
  margin-right: 15px;
  padding: 3px;
  border-radius: 6px;
}
@media screen and (max-width: 450px) {
  .form--cart .cart_holder .cart_row .cart_product .cart_product_image_holder {
    width: 20%;
  }
}
.form--cart .cart_holder .cart_row .cart_product .cart_product_image_holder a {
  display: block;
  height: 100%;
}
.form--cart .cart_holder .cart_row .cart_product .cart_product_image_holder a img {
  max-width: 100%;
  max-height: 65px;
  -o-object-fit: contain;
     object-fit: contain;
  -o-object-position: center;
     object-position: center;
}
.form--cart .cart_holder .cart_row .cart_product .cart_product_name {
  display: inline-block;
  vertical-align: middle;
}
@media screen and (max-width: 450px) {
  .form--cart .cart_holder .cart_row .cart_product .cart_product_name {
    width: 72%;
  }
}
.form--cart .cart_holder .cart_row .cart_product .cart_product_name a {
  color: #000;
  font-weight: 500;
}
.form--cart .cart_holder .cart_row .cart_price {
  width: 15%;
  flex-shrink: 0;
  text-align: right;
  font-weight: 500;
  padding: 5px 15px 5px 0;
}
@media screen and (max-width: 768px) {
  .form--cart .cart_holder .cart_row .cart_price {
    width: 100%;
    border-top: 1px solid #ddd;
    margin-top: 10px;
    padding: 20px 0 5px;
  }
}
.form--cart .cart_holder .cart_row .cart_price span {
  display: none;
  font-weight: 600;
  vertical-align: text-bottom;
  margin-right: 15px;
  float: left;
}
@media screen and (max-width: 768px) {
  .form--cart .cart_holder .cart_row .cart_price span {
    display: inline-block;
  }
}
.form--cart .cart_holder .cart_row .remove_item {
  width: 8%;
  text-align: center;
  padding: 5px 0;
  flex-shrink: 0;
}
@media screen and (max-width: 768px) {
  .form--cart .cart_holder .cart_row .remove_item {
    width: 25%;
    text-align: right;
  }
}
.form--cart .cart_holder .discount_row,
.form--cart .cart_holder .delivery_discount_row,
.form--cart .cart_holder .extra_discount_row {
  display: flex;
  justify-content: flex-end;
}
.form--cart .cart_holder .discount_row .float_realign,
.form--cart .cart_holder .delivery_discount_row .float_realign,
.form--cart .cart_holder .extra_discount_row .float_realign {
  width: 75%;
  padding: 3px 10px;
  margin-bottom: 3px;
  text-align: right;
  background-color: #ddd;
  border-radius: 6px;
  font-weight: 500;
}
@media screen and (max-width: 768px) {
  .form--cart .cart_holder .discount_row .float_realign,
  .form--cart .cart_holder .delivery_discount_row .float_realign,
  .form--cart .cart_holder .extra_discount_row .float_realign {
    width: 100%;
  }
}
.form--cart .cart_holder .discount_row .float_realign .discount_label,
.form--cart .cart_holder .discount_row .float_realign span,
.form--cart .cart_holder .delivery_discount_row .float_realign .discount_label,
.form--cart .cart_holder .delivery_discount_row .float_realign span,
.form--cart .cart_holder .extra_discount_row .float_realign .discount_label,
.form--cart .cart_holder .extra_discount_row .float_realign span {
  float: left;
  text-align: left;
  font-size: 14px;
  font-weight: 500;
  max-width: 75%;
}
.form--cart .cart_holder .extra_discount_row .float_realign {
  border: none;
}
.form--cart .cart_holder .cart_total_row {
  display: flex;
  margin: 15px 0;
  justify-content: space-between;
  background-color: #f9f9f9;
}
@media screen and (max-width: 768px) {
  .form--cart .cart_holder .cart_total_row {
    display: block;
  }
}
.form--cart .cart_holder .cart_total_row .cart_update {
  padding: 15px;
  text-align: center;
}
.form--cart .cart_holder .cart_total_row .cart_update .clear_cart_btn {
  font-size: 14px;
  font-weight: 500;
  float: left;
}
.form--cart .cart_holder .cart_total_row .cart_total {
  width: 25%;
  text-align: right;
  padding: 15px;
  font-weight: 600;
}
@media screen and (max-width: 768px) {
  .form--cart .cart_holder .cart_total_row .cart_total {
    width: 100%;
    margin-top: 30px;
  }
}
.form--cart .cart_holder .cart_total_row .cart_total .cart_total_label {
  margin-right: 15px;
}
.form--cart .cart_buttons {
  margin-top: 30px;
  text-align: right;
}
@media screen and (max-width: 768px) {
  .form--cart .cart_buttons {
    text-align: center;
  }
}
.form--cart .cart_buttons .continue_shopping_btn {
  float: left;
  padding: 10px 15px;
  margin-left: 15px;
}
@media screen and (max-width: 768px) {
  .form--cart .cart_buttons .continue_shopping_btn {
    display: inline-block;
    float: initial;
  }
}
@media screen and (max-width: 450px) {
  .form--cart .cart_buttons .continue_shopping_btn {
    width: 100%;
    margin: 0 0 15px;
  }
}
.form--cart .cart_buttons .checkout_btn {
  padding: 12px 30px 14px;
  display: inline-block;
  color: #fff;
  border: 1px solid #0c213a;
  background-color: #0c213a;
  padding: 8px 25px;
  border-radius: 30px;
  text-decoration: none;
  transition: 0.5s all ease;
}
@media screen and (max-width: 450px) {
  .form--cart .cart_buttons .checkout_btn {
    float: initial;
    padding: 10px 30px;
  }
}
@media screen and (max-width: 450px) {
  .form--cart .cart_buttons .checkout_btn {
    width: 100%;
  }
}
.form--cart .cart_buttons .checkout_btn:hover {
  background-color: #fff;
  color: #3c3838;
}

.cart-product-image {
  width: 40px;
  height: 40px;
  display: flex;
  align-items: center;
  justify-content: center;
  flex-shrink: 0;
}
@media screen and (max-width: 1200px) {
  .cart-product-image {
    width: 60px;
    height: 60px;
  }
}
.cart-product-image img {
  max-width: 100%;
  height: auto;
  -o-object-fit: contain;
     object-fit: contain;
}

.cart-quantity {
  position: relative;
  min-width: 60px;
  flex-shrink: 0;
}
.cart-quantity .loader {
  position: absolute;
  top: 15px;
  right: 15px;
  display: none;
}
.cart-quantity .input-type-qty {
  width: 50px;
  padding: 0;
  border: 0;
}
.cart-quantity .select-type-qty {
  width: 100px;
}
.cart-quantity .select-type-qty .dropdown-menu {
  max-height: 180px !important;
  z-index: 9999;
}
.cart-quantity .cart-quantity-btn-wrapper .cart-quantity-btn {
  width: 30px;
  height: 30px;
  display: flex;
  align-items: center;
  justify-content: center;
  cursor: pointer;
}
